<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: autocomplete   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>AutoComplete Widget&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_autocomplete.html">autocomplete</a>
                
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">

                   
                    <h3>Module: autocomplete
                    


                    </h3>
                    <div class="description summary">
                        The AutoComplete control provides the front-end logic for text-entry suggestion and
completion functionality.
                    </div>

                    <form onsubmit="return false">
                        <p>Search autocomplete:
                        <div id="propertysearch">
                            <input autocomplete="off" id="searchinput" />
                            <div id="searchresults">
                                &nbsp;
                            </div>
                        </div>
                    </form>
                    <script type="text/javascript">
                        ALL_YUI_PROPS = [{"url": "YAHOO.widget.DataSource.html#_aCache", "host": "YAHOO.widget.DataSource", "name": "_aCache"}, {"url": "YAHOO.widget.DataSource.html#_addCacheElem", "host": "YAHOO.widget.DataSource", "name": "_addCacheElem"}, {"url": "YAHOO.widget.AutoComplete.html#_aListItems", "host": "YAHOO.widget.AutoComplete", "name": "_aListItems"}, {"url": "YAHOO.widget.AutoComplete.html#allowBrowserAutocomplete", "host": "YAHOO.widget.AutoComplete", "name": "allowBrowserAutocomplete"}, {"url": "YAHOO.widget.AutoComplete.html#alwaysShowContainer", "host": "YAHOO.widget.AutoComplete", "name": "alwaysShowContainer"}, {"url": "YAHOO.widget.AutoComplete.html#animHoriz", "host": "YAHOO.widget.AutoComplete", "name": "animHoriz"}, {"url": "YAHOO.widget.AutoComplete.html#animSpeed", "host": "YAHOO.widget.AutoComplete", "name": "animSpeed"}, {"url": "YAHOO.widget.AutoComplete.html#animVert", "host": "YAHOO.widget.AutoComplete", "name": "animVert"}, {"url": "YAHOO.widget.AutoComplete.html#autoHighlight", "host": "YAHOO.widget.AutoComplete", "name": "autoHighlight"}, {"url": "YAHOO.widget.AutoComplete.html#_bContainerOpen", "host": "YAHOO.widget.AutoComplete", "name": "_bContainerOpen"}, {"url": "YAHOO.widget.AutoComplete.html#_bFocused", "host": "YAHOO.widget.AutoComplete", "name": "_bFocused"}, {"url": "YAHOO.widget.AutoComplete.html#_bItemSelected", "host": "YAHOO.widget.AutoComplete", "name": "_bItemSelected"}, {"url": "YAHOO.widget.AutoComplete.html#_bOverContainer", "host": "YAHOO.widget.AutoComplete", "name": "_bOverContainer"}, {"url": "YAHOO.widget.DataSource.html#cacheFlushEvent", "host": "YAHOO.widget.DataSource", "name": "cacheFlushEvent"}, {"url": "YAHOO.widget.DataSource.html#cacheQueryEvent", "host": "YAHOO.widget.DataSource", "name": "cacheQueryEvent"}, {"url": "YAHOO.widget.AutoComplete.html#_cancelIntervalDetection", "host": "YAHOO.widget.AutoComplete", "name": "_cancelIntervalDetection"}, {"url": "YAHOO.widget.AutoComplete.html#_clearSelection", "host": "YAHOO.widget.AutoComplete", "name": "_clearSelection"}, {"url": "YAHOO.widget.DS_XHR.html#connMgr", "host": "YAHOO.widget.DS_XHR", "name": "connMgr"}, {"url": "YAHOO.widget.DS_XHR.html#connTimeout", "host": "YAHOO.widget.DS_XHR", "name": "connTimeout"}, {"url": "YAHOO.widget.AutoComplete.html#containerCollapseEvent", "host": "YAHOO.widget.AutoComplete", "name": "containerCollapseEvent"}, {"url": "YAHOO.widget.AutoComplete.html#containerExpandEvent", "host": "YAHOO.widget.AutoComplete", "name": "containerExpandEvent"}, {"url": "YAHOO.widget.DS_JSArray.html#data", "host": "YAHOO.widget.DS_JSArray", "name": "data"}, {"url": "YAHOO.widget.AutoComplete.html#dataErrorEvent", "host": "YAHOO.widget.AutoComplete", "name": "dataErrorEvent"}, {"url": "YAHOO.widget.DataSource.html#dataErrorEvent", "host": "YAHOO.widget.DataSource", "name": "dataErrorEvent"}, {"url": "YAHOO.widget.DS_JSFunction.html#dataFunction", "host": "YAHOO.widget.DS_JSFunction", "name": "dataFunction"}, {"url": "YAHOO.widget.AutoComplete.html#dataRequestEvent", "host": "YAHOO.widget.AutoComplete", "name": "dataRequestEvent"}, {"url": "YAHOO.widget.AutoComplete.html#dataReturnEvent", "host": "YAHOO.widget.AutoComplete", "name": "dataReturnEvent"}, {"url": "YAHOO.widget.AutoComplete.html#dataSource", "host": "YAHOO.widget.AutoComplete", "name": "dataSource"}, {"url": "YAHOO.widget.AutoComplete.html#delimChar", "host": "YAHOO.widget.AutoComplete", "name": "delimChar"}, {"url": "YAHOO.widget.AutoComplete.html#doBeforeExpandContainer", "host": "YAHOO.widget.AutoComplete", "name": "doBeforeExpandContainer"}, {"url": "YAHOO.widget.DataSource.html#doQuery", "host": "YAHOO.widget.DataSource", "name": "doQuery"}, {"url": "YAHOO.widget.DS_XHR.html#doQuery", "host": "YAHOO.widget.DS_XHR", "name": "doQuery"}, {"url": "YAHOO.widget.DS_JSFunction.html#doQuery", "host": "YAHOO.widget.DS_JSFunction", "name": "doQuery"}, {"url": "YAHOO.widget.DS_JSArray.html#doQuery", "host": "YAHOO.widget.DS_JSArray", "name": "doQuery"}, {"url": "YAHOO.widget.DataSource.html#_doQueryCache", "host": "YAHOO.widget.DataSource", "name": "_doQueryCache"}, {"url": "YAHOO.widget.AutoComplete.html#_enableIntervalDetection", "host": "YAHOO.widget.AutoComplete", "name": "_enableIntervalDetection"}, {"url": "YAHOO.widget.DataSource.html#ERROR_DATANULL", "host": "YAHOO.widget.DataSource", "name": "ERROR_DATANULL"}, {"url": "YAHOO.widget.DataSource.html#ERROR_DATAPARSE", "host": "YAHOO.widget.DataSource", "name": "ERROR_DATAPARSE"}, {"url": "YAHOO.widget.DS_XHR.html#ERROR_DATAXHR", "host": "YAHOO.widget.DS_XHR", "name": "ERROR_DATAXHR"}, {"url": "YAHOO.widget.DataSource.html#flushCache", "host": "YAHOO.widget.DataSource", "name": "flushCache"}, {"url": "YAHOO.widget.AutoComplete.html#forceSelection", "host": "YAHOO.widget.AutoComplete", "name": "forceSelection"}, {"url": "YAHOO.widget.AutoComplete.html#formatResult", "host": "YAHOO.widget.AutoComplete", "name": "formatResult"}, {"url": "YAHOO.widget.DataSource.html#getCachedResultsEvent", "host": "YAHOO.widget.DataSource", "name": "getCachedResultsEvent"}, {"url": "YAHOO.widget.AutoComplete.html#getListItemData", "host": "YAHOO.widget.AutoComplete", "name": "getListItemData"}, {"url": "YAHOO.widget.AutoComplete.html#getListItems", "host": "YAHOO.widget.AutoComplete", "name": "getListItems"}, {"url": "YAHOO.widget.DataSource.html#getResults", "host": "YAHOO.widget.DataSource", "name": "getResults"}, {"url": "YAHOO.widget.DataSource.html#getResultsEvent", "host": "YAHOO.widget.DataSource", "name": "getResultsEvent"}, {"url": "YAHOO.widget.AutoComplete.html#highlightClassName", "host": "YAHOO.widget.AutoComplete", "name": "highlightClassName"}, {"url": "YAHOO.widget.AutoComplete.html#_iFrameSrc", "host": "YAHOO.widget.AutoComplete", "name": "_iFrameSrc"}, {"url": "YAHOO.widget.DataSource.html#_init", "host": "YAHOO.widget.DataSource", "name": "_init"}, {"url": "YAHOO.widget.AutoComplete.html#_initContainer", "host": "YAHOO.widget.AutoComplete", "name": "_initContainer"}, {"url": "YAHOO.widget.AutoComplete.html#_initContainerHelpers", "host": "YAHOO.widget.AutoComplete", "name": "_initContainerHelpers"}, {"url": "YAHOO.widget.AutoComplete.html#_initList", "host": "YAHOO.widget.AutoComplete", "name": "_initList"}, {"url": "YAHOO.widget.AutoComplete.html#_initListItem", "host": "YAHOO.widget.AutoComplete", "name": "_initListItem"}, {"url": "YAHOO.widget.AutoComplete.html#__initProps", "host": "YAHOO.widget.AutoComplete", "name": "__initProps"}, {"url": "YAHOO.widget.AutoComplete.html#isContainerOpen", "host": "YAHOO.widget.AutoComplete", "name": "isContainerOpen"}, {"url": "YAHOO.widget.AutoComplete.html#_isIgnoreKey", "host": "YAHOO.widget.AutoComplete", "name": "_isIgnoreKey"}, {"url": "YAHOO.widget.AutoComplete.html#itemArrowFromEvent", "host": "YAHOO.widget.AutoComplete", "name": "itemArrowFromEvent"}, {"url": "YAHOO.widget.AutoComplete.html#itemArrowToEvent", "host": "YAHOO.widget.AutoComplete", "name": "itemArrowToEvent"}, {"url": "YAHOO.widget.AutoComplete.html#itemMouseOutEvent", "host": "YAHOO.widget.AutoComplete", "name": "itemMouseOutEvent"}, {"url": "YAHOO.widget.AutoComplete.html#itemMouseOverEvent", "host": "YAHOO.widget.AutoComplete", "name": "itemMouseOverEvent"}, {"url": "YAHOO.widget.AutoComplete.html#itemSelectEvent", "host": "YAHOO.widget.AutoComplete", "name": "itemSelectEvent"}, {"url": "YAHOO.widget.AutoComplete.html#_jumpSelection", "host": "YAHOO.widget.AutoComplete", "name": "_jumpSelection"}, {"url": "YAHOO.widget.DataSource.html#maxCacheEntries", "host": "YAHOO.widget.DataSource", "name": "maxCacheEntries"}, {"url": "YAHOO.widget.AutoComplete.html#_maxResultsDisplayed", "host": "YAHOO.widget.AutoComplete", "name": "_maxResultsDisplayed"}, {"url": "YAHOO.widget.AutoComplete.html#maxResultsDisplayed", "host": "YAHOO.widget.AutoComplete", "name": "maxResultsDisplayed"}, {"url": "YAHOO.widget.AutoComplete.html#minQueryLength", "host": "YAHOO.widget.AutoComplete", "name": "minQueryLength"}, {"url": "YAHOO.widget.AutoComplete.html#_moveSelection", "host": "YAHOO.widget.AutoComplete", "name": "_moveSelection"}, {"url": "YAHOO.widget.AutoComplete.html#_nDelayID", "host": "YAHOO.widget.AutoComplete", "name": "_nDelayID"}, {"url": "YAHOO.widget.AutoComplete.html#_nDisplayedItems", "host": "YAHOO.widget.AutoComplete", "name": "_nDisplayedItems"}, {"url": "YAHOO.widget.AutoComplete.html#_nIndex", "host": "YAHOO.widget.AutoComplete", "name": "_nIndex"}, {"url": "YAHOO.widget.DataSource.html#_nIndex", "host": "YAHOO.widget.DataSource", "name": "_nIndex"}, {"url": "YAHOO.widget.AutoComplete.html#_nKeyCode", "host": "YAHOO.widget.AutoComplete", "name": "_nKeyCode"}, {"url": "YAHOO.widget.AutoComplete.html#_oAnim", "host": "YAHOO.widget.AutoComplete", "name": "_oAnim"}, {"url": "YAHOO.widget.DS_XHR.html#_oConn", "host": "YAHOO.widget.DS_XHR", "name": "_oConn"}, {"url": "YAHOO.widget.AutoComplete.html#_oContainer", "host": "YAHOO.widget.AutoComplete", "name": "_oContainer"}, {"url": "YAHOO.widget.AutoComplete.html#_oCurItem", "host": "YAHOO.widget.AutoComplete", "name": "_oCurItem"}, {"url": "YAHOO.widget.AutoComplete.html#_onContainerMouseout", "host": "YAHOO.widget.AutoComplete", "name": "_onContainerMouseout"}, {"url": "YAHOO.widget.AutoComplete.html#_onContainerMouseover", "host": "YAHOO.widget.AutoComplete", "name": "_onContainerMouseover"}, {"url": "YAHOO.widget.AutoComplete.html#_onContainerResize", "host": "YAHOO.widget.AutoComplete", "name": "_onContainerResize"}, {"url": "YAHOO.widget.AutoComplete.html#_onContainerScroll", "host": "YAHOO.widget.AutoComplete", "name": "_onContainerScroll"}, {"url": "YAHOO.widget.AutoComplete.html#_onFormSubmit", "host": "YAHOO.widget.AutoComplete", "name": "_onFormSubmit"}, {"url": "YAHOO.widget.AutoComplete.html#_onIMEDetected", "host": "YAHOO.widget.AutoComplete", "name": "_onIMEDetected"}, {"url": "YAHOO.widget.AutoComplete.html#_onItemMouseclick", "host": "YAHOO.widget.AutoComplete", "name": "_onItemMouseclick"}, {"url": "YAHOO.widget.AutoComplete.html#_onItemMouseout", "host": "YAHOO.widget.AutoComplete", "name": "_onItemMouseout"}, {"url": "YAHOO.widget.AutoComplete.html#_onItemMouseover", "host": "YAHOO.widget.AutoComplete", "name": "_onItemMouseover"}, {"url": "YAHOO.widget.AutoComplete.html#_onTextboxBlur", "host": "YAHOO.widget.AutoComplete", "name": "_onTextboxBlur"}, {"url": "YAHOO.widget.AutoComplete.html#_onTextboxFocus", "host": "YAHOO.widget.AutoComplete", "name": "_onTextboxFocus"}, {"url": "YAHOO.widget.AutoComplete.html#_onTextboxKeyDown", "host": "YAHOO.widget.AutoComplete", "name": "_onTextboxKeyDown"}, {"url": "YAHOO.widget.AutoComplete.html#_onTextboxKeyPress", "host": "YAHOO.widget.AutoComplete", "name": "_onTextboxKeyPress"}, {"url": "YAHOO.widget.AutoComplete.html#_onTextboxKeyUp", "host": "YAHOO.widget.AutoComplete", "name": "_onTextboxKeyUp"}, {"url": "YAHOO.widget.AutoComplete.html#_oTextbox", "host": "YAHOO.widget.AutoComplete", "name": "_oTextbox"}, {"url": "YAHOO.widget.DS_XHR.html#parseResponse", "host": "YAHOO.widget.DS_XHR", "name": "parseResponse"}, {"url": "YAHOO.widget.AutoComplete.html#_populateList", "host": "YAHOO.widget.AutoComplete", "name": "_populateList"}, {"url": "YAHOO.widget.AutoComplete.html#prehighlightClassName", "host": "YAHOO.widget.AutoComplete", "name": "prehighlightClassName"}, {"url": "YAHOO.widget.AutoComplete.html#queryDelay", "host": "YAHOO.widget.AutoComplete", "name": "queryDelay"}, {"url": "YAHOO.widget.DataSource.html#queryEvent", "host": "YAHOO.widget.DataSource", "name": "queryEvent"}, {"url": "YAHOO.widget.AutoComplete.html#_queryInterval", "host": "YAHOO.widget.AutoComplete", "name": "_queryInterval"}, {"url": "YAHOO.widget.DataSource.html#queryMatchCase", "host": "YAHOO.widget.DataSource", "name": "queryMatchCase"}, {"url": "YAHOO.widget.DataSource.html#queryMatchContains", "host": "YAHOO.widget.DataSource", "name": "queryMatchContains"}, {"url": "YAHOO.widget.DataSource.html#queryMatchSubset", "host": "YAHOO.widget.DataSource", "name": "queryMatchSubset"}, {"url": "YAHOO.widget.DS_XHR.html#responseStripAfter", "host": "YAHOO.widget.DS_XHR", "name": "responseStripAfter"}, {"url": "YAHOO.widget.DS_XHR.html#responseType", "host": "YAHOO.widget.DS_XHR", "name": "responseType"}, {"url": "YAHOO.widget.DS_XHR.html#scriptQueryAppend", "host": "YAHOO.widget.DS_XHR", "name": "scriptQueryAppend"}, {"url": "YAHOO.widget.DS_XHR.html#scriptQueryParam", "host": "YAHOO.widget.DS_XHR", "name": "scriptQueryParam"}, {"url": "YAHOO.widget.DS_XHR.html#scriptURI", "host": "YAHOO.widget.DS_XHR", "name": "scriptURI"}, {"url": "YAHOO.widget.AutoComplete.html#_sCurQuery", "host": "YAHOO.widget.AutoComplete", "name": "_sCurQuery"}, {"url": "YAHOO.widget.AutoComplete.html#selectionEnforceEvent", "host": "YAHOO.widget.AutoComplete", "name": "selectionEnforceEvent"}, {"url": "YAHOO.widget.AutoComplete.html#_selectItem", "host": "YAHOO.widget.AutoComplete", "name": "_selectItem"}, {"url": "YAHOO.widget.AutoComplete.html#_selectText", "host": "YAHOO.widget.AutoComplete", "name": "_selectText"}, {"url": "YAHOO.widget.AutoComplete.html#_sendQuery", "host": "YAHOO.widget.AutoComplete", "name": "_sendQuery"}, {"url": "YAHOO.widget.AutoComplete.html#sendQuery", "host": "YAHOO.widget.AutoComplete", "name": "sendQuery"}, {"url": "YAHOO.widget.AutoComplete.html#setBody", "host": "YAHOO.widget.AutoComplete", "name": "setBody"}, {"url": "YAHOO.widget.AutoComplete.html#setFooter", "host": "YAHOO.widget.AutoComplete", "name": "setFooter"}, {"url": "YAHOO.widget.AutoComplete.html#setHeader", "host": "YAHOO.widget.AutoComplete", "name": "setHeader"}, {"url": "YAHOO.widget.AutoComplete.html#_sLastTextboxValue", "host": "YAHOO.widget.AutoComplete", "name": "_sLastTextboxValue"}, {"url": "YAHOO.widget.AutoComplete.html#_sName", "host": "YAHOO.widget.AutoComplete", "name": "_sName"}, {"url": "YAHOO.widget.DataSource.html#_sName", "host": "YAHOO.widget.DataSource", "name": "_sName"}, {"url": "YAHOO.widget.AutoComplete.html#_sSavedQuery", "host": "YAHOO.widget.AutoComplete", "name": "_sSavedQuery"}, {"url": "YAHOO.widget.AutoComplete.html#textboxBlurEvent", "host": "YAHOO.widget.AutoComplete", "name": "textboxBlurEvent"}, {"url": "YAHOO.widget.AutoComplete.html#textboxFocusEvent", "host": "YAHOO.widget.AutoComplete", "name": "textboxFocusEvent"}, {"url": "YAHOO.widget.AutoComplete.html#textboxKeyEvent", "host": "YAHOO.widget.AutoComplete", "name": "textboxKeyEvent"}, {"url": "YAHOO.widget.AutoComplete.html#_textMatchesOption", "host": "YAHOO.widget.AutoComplete", "name": "_textMatchesOption"}, {"url": "YAHOO.widget.AutoComplete.html#_toggleContainer", "host": "YAHOO.widget.AutoComplete", "name": "_toggleContainer"}, {"url": "YAHOO.widget.AutoComplete.html#_toggleContainerHelpers", "host": "YAHOO.widget.AutoComplete", "name": "_toggleContainerHelpers"}, {"url": "YAHOO.widget.AutoComplete.html#_toggleHighlight", "host": "YAHOO.widget.AutoComplete", "name": "_toggleHighlight"}, {"url": "YAHOO.widget.AutoComplete.html#_togglePrehighlight", "host": "YAHOO.widget.AutoComplete", "name": "_togglePrehighlight"}, {"url": "YAHOO.widget.AutoComplete.html#toString", "host": "YAHOO.widget.AutoComplete", "name": "toString"}, {"url": "YAHOO.widget.DataSource.html#toString", "host": "YAHOO.widget.DataSource", "name": "toString"}, {"url": "YAHOO.widget.AutoComplete.html#typeAhead", "host": "YAHOO.widget.AutoComplete", "name": "typeAhead"}, {"url": "YAHOO.widget.AutoComplete.html#_typeAhead", "host": "YAHOO.widget.AutoComplete", "name": "_typeAhead"}, {"url": "YAHOO.widget.AutoComplete.html#typeAheadEvent", "host": "YAHOO.widget.AutoComplete", "name": "typeAheadEvent"}, {"url": "YAHOO.widget.DS_XHR.html#TYPE_FLAT", "host": "YAHOO.widget.DS_XHR", "name": "TYPE_FLAT"}, {"url": "YAHOO.widget.DS_XHR.html#TYPE_JSON", "host": "YAHOO.widget.DS_XHR", "name": "TYPE_JSON"}, {"url": "YAHOO.widget.DS_XHR.html#TYPE_XML", "host": "YAHOO.widget.DS_XHR", "name": "TYPE_XML"}, {"url": "YAHOO.widget.AutoComplete.html#unmatchedItemSelectEvent", "host": "YAHOO.widget.AutoComplete", "name": "unmatchedItemSelectEvent"}, {"url": "YAHOO.widget.AutoComplete.html#_updateValue", "host": "YAHOO.widget.AutoComplete", "name": "_updateValue"}, {"url": "YAHOO.widget.AutoComplete.html#useIFrame", "host": "YAHOO.widget.AutoComplete", "name": "useIFrame"}, {"url": "YAHOO.widget.AutoComplete.html#useShadow", "host": "YAHOO.widget.AutoComplete", "name": "useShadow"}];
                    </script>

                    <script type="text/javascript" src="assets/api-js"></script>
                    <script type="text/javascript" src="assets/ac-js"></script>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class="selected"><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.widget.AutoComplete.html">YAHOO.widget.AutoComplete</a></li>
                                <li class=""><a href="YAHOO.widget.DataSource.html">YAHOO.widget.DataSource</a></li>
                                <li class=""><a href="YAHOO.widget.DS_JSArray.html">YAHOO.widget.DS_JSArray</a></li>
                                <li class=""><a href="YAHOO.widget.DS_JSFunction.html">YAHOO.widget.DS_JSFunction</a></li>
                                <li class=""><a href="YAHOO.widget.DS_XHR.html">YAHOO.widget.DS_XHR</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="AutoComplete.js.html">AutoComplete.js</a></li>
                                <li class=""><a href="DataSource.js.html">DataSource.js</a></li>
                        </ul>
                    </div>





            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
